Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Interface ContextExtractor

All Known Implementing Classes:
  `AttributeExtractor`, `ClassNameExtractor`

public interface ContextExtractor
A ContextExtractor extract the part of the current TextViewer that is the prefix of of the String. The String provided by implementations of this interface are used to reduce the amount of results provided by content assist.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPrefix(ITextViewer source, int currentPosition)`
Given the TextViewer and the position, it scans the content backwards to extract the prefix for the content assist

## Method Details

### getPrefix

String getPrefix(ITextViewer source, int currentPosition)
Given the TextViewer and the position, it scans the content backwards to extract the prefix for the content assist

Parameters:
  `source` -
  `currentPosition` -
Returns:
  what has been typed before the current position and should be used to filter the content assistance.